[jira] [Reopened] (CXF-7907) Change jaxb-api to jakarta.xml.bind-api artifact dependency

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

[jira] [Reopened] (CXF-7907) Change jaxb-api to jakarta.xml.bind-api artifact dependency

JIRA jira@apache.org

     [ https://issues.apache.org/jira/browse/CXF-7907?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel ]

Colm O hEigeartaigh reopened CXF-7907:
--------------------------------------

Hi Freeman,

Just some minor things:

a) In parent/pom.xml, in the Java9 profile we have:

<dependency>
                    <groupId>jakarta.xml.bind</groupId>
                    <artifactId>jakarta.xml.bind-api</artifactId>
                    <version>2.3.2</version>
                </dependency>



Do we still need to define the JAXB API separately for Java 9 here? If yes it should use the version String instead of 2.3.2.

b) In distribution/src/main/release/samples/pom.xml we define:

<cxf.jaxb.version>2.3.0</cxf.jaxb.version>

Do we need the bind-api here as well?

 

 

> Change jaxb-api to jakarta.xml.bind-api artifact dependency
> -----------------------------------------------------------
>
>                 Key: CXF-7907
>                 URL: https://issues.apache.org/jira/browse/CXF-7907
>             Project: CXF
>          Issue Type: Task
>            Reporter: Dennis Kieselhorst
>            Assignee: Freeman Fang
>            Priority: Minor
>             Fix For: 3.3.0
>
>
> see [https://github.com/eclipse-ee4j/jaxb-api/pull/66]
>  



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)